[SciPy-user] Problems with numpy and Python64 on Mac OS 1.5.5

Michael Abshoff michael.abshoff@googlemail....
Mon Nov 24 02:31:55 CST 2008


Roger Herikstad wrote:
> Hi,
>  Thanks for the reply. I realize it might be stretching it using
> python2.7. I tried the same thing with the current release of
> Python2.6 with the same result. My problems is that I need 64 bit
> support for some large data sets I need to analyze, and I haven't
> found a way to build a 64 bit Python2.5. Let me perhaps ask a
> different question then; has anyone successfully built a working 64
> bit version of numpy, with any version of python?

Yes, but setting OPT at compile time to inject "-m64" I got a 64 bit 
Pyhton 2.5.2 on OSX 10.4 and 10.5 with a recent enough XCode. To get a 
fully working Scipy I did have a fake gfortran 4.2 wrapper script that 
injected "-m64" into all command lines since as is I did not see a more 
elegant way to accomplish this. I have posted some build instructions on 
the numpy as well as scipy lists a couple months back, so googling might 
turn it up. If not I can dig into my pile of notes and repost.

> ~ Roger

Cheers,

Michael


More information about the SciPy-user mailing list